System.Xml 2.0.0.0 4.0.0.0 System.Enum System.Flags

The following are notes to consider when using values with the .

values define validation options used by a schema validating to perform XML validation against a schema. values for a validating are specified using the property.

The following are notes to consider when using the value.

When a schema doesn’t import the Xml namespace.

If is set to true (default) and the instance document contains Xml attributes, the validation engine will load a snapshot of the default Xml namespace schema and use it for validation. If Xml attributes used in the instance document are not found in the default schema, the document will not validate.

If is set to false and the instance document contains Xml attributes, the validation engine will report an error.

When a schema imports the Xml namespace without a location.

If is set to true (default) and the instance document contains Xml attributes, the validation engine will use the default Xml namespace schema for validation. If Xml attributes used in the instance document are not found in the default schema, the document will not validate.

If is set to false and the instance document contains Xml attributes that are not explicitly allowed by the schema, the validation engine will report an error.

If is set to false and the instance document contains Xml attributes that are explicitly allowed by the schema, the validation engine will validate the attributes the same way it validates other attributes using the default Xml namespace schema.

When a schema imports a custom Xml namespace schema with a custom schemaLocation.

If is set to true (default) and the instance document contains Xml attributes, the validation engine will use the custom Xml namespace schema for validation. If Xml attributes used in the instance document are not found in the specified schema, the document will not validate.

If is set to false and the instance document contains Xml attributes that are not explicitly allowed by the schema, the validation engine will report an error.

If is set to false and the instance document contains Xml attributes that are explicitly allowed by the schema, the validation engine will validate the attributes the same way it validates other attributes using specified Xml namespace schema.

When a schema defines an xml:* attribute with use="required".

The following applies when is set to true and false. Required xml:* attributes should be treated as other attributes and validated using the specified Xml namespace schema.

When a schema defines an xml:* attribute with use="prohibited".

The following applies when is set to true and false. If an instance document contains xml:* attributes that are explicitly prohibited by the schema, the validation engine will report an error.

When a schema specifies an attribute wildcard.

If an instance document contains an Xml attribute and the schema specifies an attribute wildcard with processContents either omitted or set to "strict", the validation engine will use the Xml namespace schema present in the . If no Xml namespace schema is specified, the validation engine will behave as follows.

If is set to true, the validation engine will use the default Xml namespace schema to perform validation.

If is set to false, the validation engine will report an error.

If an instance document contains an Xml attribute and the schema specifies an attribute wildcard with processContents set to "skip", the validation engine will skip attribute validation.

If an instance document contains an Xml attribute and the schema specifies an attribute wildcard with processContents set to "lax", the validation engine will use the Xml namespace schema present in the . If no Xml namespace schema is specified, the validation engine will behave as follows.

If is set to true, the validation engine will use the default Xml namespace schema to perform validation.

If is set to false, attribute validation will not be performed.

When validating simple types.

When is set to true (default), Xml attributes will be allowed on elements of simple types.

Specifies schema validation options used by the and classes.

- Field
  2.0.0.0
  4.0.0.0
  System.Obsolete("It is really idiotic idea to include such validation option that breaks W3C XML Schema specification compliance and interoperability.")
  System.Xml.Schema.XmlSchemaValidationFlags

  Allow xml:* attributes even if they are not defined in the schema. The attributes will be validated based on their data type.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaValidationFlags

  Do not process identity constraints, inline schemas, schema location hints, or report schema validation warnings.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaValidationFlags

  Process identity constraints (xs:ID, xs:IDREF, xs:key, xs:keyref, xs:unique) encountered during validation.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaValidationFlags

  Process inline schemas encountered during validation.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaValidationFlags

  Process schema location hints (xsi:schemaLocation, xsi:noNamespaceSchemaLocation) encountered during validation.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaValidationFlags

  Report schema validation warnings encountered during validation.